local Sequences = GSMasterSequences

----
-- These Macros were created by HiroYakamura (Dashy-Teldrassil EU) and are thus under copyright / GNU License. You may shre them if proper credit is given.
-- Please respect my and other authors property rights, otherwise there might come a time were no one wants to create content anymore because of it being stolen anyways.
-- If you have some ideas on how to improve a sequence, please feel free to contact me via the curse.com website and I will see if we can include your improvements. Proper credit will be given.
----

-- Beast Mastery (specID = 253)

Sequences['BM_ST'] = {
specID = 253,
author = "HiroYakamura",
helpTxt = "Single-Target - Talent: 2112112",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/startattack
/petautocastoff [group] Growl
/petautocaston [nogroup] Growl
/cast [combat] Bestial Wrath
]],
'/cast Dire Beast',
'/cast [combat] Kill Command',
'/cast [combat] Cobra Shot',
'/cast [combat] A Murder of Crows',
PostMacro = [[
/startattack
/petattack
/cast Aspect of the Wild
/use [combat]13
/use [combat]14
]],
}

Sequences['BM_MT'] = {
specID = 253,
author = "HiroYakamura",
helpTxt = "Multi-Target - Talent: 2112112",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/startattack
/petautocastoff [group] Growl
/petautocaston [nogroup] Growl
]],
'/cast Dire Beast',
'/cast [combat] Kill Command',
'/cast [combat] Multi-Shot',
'/cast [combat] A Murder of Crows',
PostMacro = [[
/startattack
/petattack
/cast Aspect of the Wild
/cast Bestial Wrath
/use [combat]13
/use [combat]14
]],
}

-- Survival (specID = 255)

Sequences['Survival_ST'] = {
specID = 255,
author = "HiroYakamura",
helpTxt = "Single-Target - Talent: 2312322 - Use Shift modifier for Burst-Phase",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/startattack
/petattack
/cast [mod:shift] Aspect of the Eagle 
]],
'/cast Explosive Trap',
'/cast Dragonsfire Grenade',
'/cast Lacerate',
'/castsequence Mongoose Bite, Mongoose Bite, Mongoose Bite, Snake Hunter',
'/cast Mongoose Bite',
'/cast Throwing Axes',
'/cast Flanking Strike',
'/cast [mod:shift] Raptor Strike',
PostMacro = [[
/startattack
/use [combat]13
/use [combat]14
]],
}

Sequences['Survival_MT'] = {
specID = 255,
author = "HiroYakamura",
helpTxt = "Multi-Target - Talent: 2312322 - Use Shift modifier for Burst-Phase",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/startattack
/petattack
/cast [mod:shift] Aspect of the Eagle 
]],
'/cast Explosive Trap',
'/cast Dragonsfire Grenade',
'/cast Lacerate',
'/castsequence Mongoose Bite, Mongoose Bite, Mongoose Bite, Snake Hunter',
'/cast Mongoose Bite',
'/cast Throwing Axes',
'/cast Carve',
'/cast [mod:shift] Raptor Strike',
PostMacro = [[
/startattack
/use [combat]13
/use [combat]14
]],
}

-- Marksmanship - (specID = 254)

Sequences['MM_ST_MT'] = {
author = 'HiroYakamura',
specID = 254,
helpTxt = "Single Target - Talent: 1113321 - Use Shift modifier for Burst-Phase - For best performance in AOE situations, target enemy furthest away",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast [mod:shift]Trueshot
]],
'/cast [nochanneling] Marked Shot',
'/cast [combat]Barrage',
'/cast [nochanneling] Aimed Shot',
'/cast [nochanneling] Sidewinders',
PostMacro = [[
/startattack
/petattack
]],
}

Sequences['MM_ST'] = {
author= 'HiroYakamura',
specID= 254,
helpTxt = 'Talents: 1112323 - Use Shift modifier for Burst-Phase - Use this if you do not like Sidewinders Talent',
PreMacro=[[
/targetenemy [noharm][dead]
/cast [mod:shift] Trueshot
]],
'/cast [nochanneling] Marked Shot',
'/cast Barrage',
'/cast [nochanneling] Aimed Shot',
'/cast [nochanneling] Arcane Shot',
PostMacro=[[
/startattack
/petattack
]],
}

Sequences['MM_MT'] = {
author = 'HiroYakamura',
specID = 254,
helpTxt = 'Talents: 1112323 - Use Shift modifier for Burst-AOE - Use this if you do not like Sidewinders Talent',
PreMacro=[[
/targetenemy [noharm][dead]
/castsequence [mod:shift] Trueshot, Sentinel
]],
'/cast [nochanneling] Marked Shot',
'/cast Barrage',
'/cast [nochanneling] Aimed Shot',
'/cast [nochanneling] Multi-Shot',
PostMacro=[[
/startattack
/petattack
]],
}
